////////////////////////////////////////////////////////////////////////////////
//
// Project name: MyIrcDcLinks
// Author: burek
// E-mail: burek021@gmail.com
// Date: 10/Oct/2009
// Version: 1.4
// Target:	Win32, Delphi 7
// License: GNU/GPL
//
// Description:
//
//   MyIrcDcLinks is an application written in Delphi 7 (for Windows), that is
//   able to connect to multiple dc hubs (and irc servers) and transmit chat
//   messages from each one to the others. The similar project is DC hublink:
//   http://dc-hublink.sourceforge.net/
//
////////////////////////////////////////////////////////////////////////////////
//------------------------------------------------------------------------------
unit UnitLocalCommands;
//------------------------------------------------------------------------------
interface
//------------------------------------------------------------------------------
uses UnitIRCDCBase;
//------------------------------------------------------------------------------
procedure ParseLocalCommands(irchub: TIrcHubBase; anick, cmd, params: string);
//------------------------------------------------------------------------------
implementation
uses UnitMain, UnitMessages;
//------------------------------------------------------------------------------
procedure ParseLocalCommands(irchub: TIrcHubBase; anick, cmd, params: string);
var
  i: integer;
begin
  if irchub.OpList.IndexOf(anick) < 0 then
    Exit;

  //----------------------------------------------------------------------------
  if cmd = 'HELP' then
  //----------------------------------------------------------------------------
    irchub.SendMsgToPM(anick, MSG_HELP)

  //----------------------------------------------------------------------------
  else if cmd = 'MUTE' then // mute the bot
  //----------------------------------------------------------------------------
  begin
    irchub.Muted := true;
    irchub.SendMsgToPM(anick, MSG_OK_MUTE);
  end

  //----------------------------------------------------------------------------
  else if cmd = 'UNMUTE' then
  //----------------------------------------------------------------------------
  begin
    irchub.Muted := false;
    irchub.SendMsgToPM(anick, MSG_OK_UNMUTE);
  end

  //----------------------------------------------------------------------------
  else if cmd = 'MYINFO' then
  //----------------------------------------------------------------------------
    irchub.SendMsgToPM(anick, irchub.GetMyInfo())

  //----------------------------------------------------------------------------
  else if cmd = 'IGNORE' then
  //----------------------------------------------------------------------------
  begin
    if irchub.IgnoreList.IndexOf(params) < 0 then
    begin
      irchub.IgnoreList.Add(params);
      irchub.SendMsgToPM(anick, MSG_OK_IGNORE);
    end
    else
      irchub.SendMsgToPM(anick, MSG_ERR_IGNOREEXISTS)
  end

  //----------------------------------------------------------------------------
  else if cmd = 'IGNORELIST' then
  //----------------------------------------------------------------------------
  begin
    if irchub.IgnoreList.Count <= 0 then
      irchub.SendMsgToPM(anick, MSG_OK_IGNORELISTEMPTY)
    else
      irchub.SendMsgToPM(anick, MSG_OK_IGNORELIST + ' ' + irchub.IgnoreList.CommaText);
  end

  //----------------------------------------------------------------------------
  else if cmd = 'UNIGNORE' then
  //----------------------------------------------------------------------------
  begin
    i := irchub.IgnoreList.IndexOf(params);
    if i <= 0 then
      irchub.SendMsgToPM(anick, MSG_ERR_UNIGNORE)
    else
    begin
      irchub.IgnoreList.Delete(i);
      irchub.SendMsgToPM(anick, MSG_OK_UNIGNORE)
    end;
  end

  //----------------------------------------------------------------------------
  else if cmd = 'UNIGNOREALL' then
  //----------------------------------------------------------------------------
  begin
    irchub.IgnoreList.Clear;
    irchub.SendMsgToPM(anick, MSG_OK_UNIGNOREALL);
  end

  //----------------------------------------------------------------------------
  else if cmd = 'OPLIST' then // show all connected hubs/ircs
  //----------------------------------------------------------------------------
    irchub.SendMsgToPM(anick, irchub.OpList.CommaText)

  //----------------------------------------------------------------------------
  else if cmd = 'LINKS' then // show all connected hubs/ircs
  //----------------------------------------------------------------------------
    irchub.SendMsgToPM(anick, MainForm.GetLinks)

  //----------------------------------------------------------------------------
  else if cmd = 'ABOUT' then
  //----------------------------------------------------------------------------
    irchub.SendMsgToPM(anick, MSG_ABOUT)

  ;
end;
//------------------------------------------------------------------------------
end.
