////////////////////////////////////////////////////////////////////////////////
//
// Project name: MyIrcDcLinks
// Author: burek
// E-mail: burek021@gmail.com
// Date: 10/Oct/2009
// Version: 1.4
// Target:	Win32, Delphi 7
// License: GNU/GPL
//
// Description:
//
//   MyIrcDcLinks is an application written in Delphi 7 (for Windows), that is
//   able to connect to multiple dc hubs (and irc servers) and transmit chat
//   messages from each one to the others. The similar project is DC hublink:
//   http://dc-hublink.sourceforge.net/
//
////////////////////////////////////////////////////////////////////////////////
//------------------------------------------------------------------------------
unit UnitUtils;
//------------------------------------------------------------------------------
interface
//------------------------------------------------------------------------------
function YesNo(b: byte): string;
procedure MyReplace(var s :string; const What: char; WithWhat :string); // StringReplace cannot replace character #0
procedure GetHostPort(const HostPort: string; var Host: string; var Port: integer; DefaultPort: integer);
//------------------------------------------------------------------------------
implementation
uses SysUtils;
//------------------------------------------------------------------------------
function YesNo(b: byte): string;
begin
  if b = 0 then
    Result := 'no'
  else
    Result := 'yes';
end;
//------------------------------------------------------------------------------
procedure MyReplace(var s :string; const What: char; WithWhat :string);
var
  i :integer;
begin
  if What <> #0 then
  begin
    s := StringReplace(s, What, WithWhat, [rfReplaceAll]);
    Exit;
  end;

  i := 1;
  while i < Length(s) do
  begin
    if s[i] = #0 then
      s := Copy(s, 1, i-1) + WithWhat + Copy(s, i+1, Length(s));
    Inc(i, Length(WithWhat));
  end;
end;
//------------------------------------------------------------------------------
procedure GetHostPort(const HostPort: string; var Host: string; var Port: integer; DefaultPort: integer);
var
  t: integer;
begin
  t := Pos(':', HostPort);
  if t <= 0 then begin
    Host := HostPort;
    Port := DefaultPort;
  end else begin
    Host := Copy(HostPort, 1, t-1);
    Port := StrToIntDef(Copy(HostPort, t+1, MaxInt), DefaultPort);
  end;
end;
//------------------------------------------------------------------------------
end.
