--------------------------------------------------------------------------------
--
-- Script name: MyIrcDcLinks.lua
-- Author: burek
-- E-mail: burek021@gmail.com
-- Date: 10/Oct/2009
-- Version: 1.4
--
-- Description:
--
--   This script removes link-bot nick from broadcasted messages, on main chat.
--   For example, instead of displaying a broadcasted message like this:
--     <link-bot> {gusari}burek: bla bla bla
--   the message will be displayed like this:
--     <{gusari}burek> bla bla bla
--
--------------------------------------------------------------------------------

linkbot_nick = 'irc-link'

function VH_OnParsedMsgChat(nick, data)
	if nick == linkbot_nick then
		local _,_,from_nick,from_msg = string.find(data, '^(%S+):%s(.*)$')
		if from_nick ~= nil then -- regular broadcasted mainchat message
			VH:SendDataToAll(string.format('<%s> %s|', tostring(from_nick), tostring(from_msg)), 0, 10)
		else
			local _,_,from_nick,from_msg = string.find(data, '^**%s(%S+)%s(.*)$')
			if from_nick ~= nil then -- broadcasted /me message
				VH:SendDataToAll(string.format('* %s %s|', tostring(from_nick), tostring(from_msg)), 0, 10)
			else -- other mainchat messages (like advertisement)
				VH:SendDataToAll(string.format('<%s> %s|', nick, data), 0, 10)
			end
		end
		return 0
	end
	return 1
end
